com.io7m.jcamera.examples.jogl

## Class ExampleRenderer

- java.lang.Object
- - com.io7m.jcamera.examples.jogl.ExampleRenderer

- All Implemented Interfaces:
    ExampleRendererControllerType, ExampleRendererType

      public final class ExampleRenderer
      extends Object
      implements ExampleRendererType

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(JCameraReadableSnapshotType s, com.io7m.jfunctional.OptionType<com.io7m.jtensors.VectorReadable3FType> target)` Draw the scene.
    `void` | `init(com.jogamp.newt.opengl.GLWindow in_window, com.jogamp.opengl.GL3 in_gl)` Initialize the scene, using the given window and OpenGL interface.
    `void` | `reshape(int width, int height)` Indicate that the screen has been resized.
    `void` | `sendWantWarpPointer()` Tell the renderer/windowing system that it should warp the pointer to the center of the screen.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleRenderer

          public ExampleRenderer()

  - ### Method Detail

    - #### draw

          public void draw(JCameraReadableSnapshotType s,
                           com.io7m.jfunctional.OptionType<com.io7m.jtensors.VectorReadable3FType> target)

      Description copied from interface: `ExampleRendererType`
      Draw the scene.
      Specified by:
        `draw` in interface `ExampleRendererType`
      Parameters:
        `s` - A camera snapshot
        `target` - An optional target to be drawn

    - #### init

          public void init(com.jogamp.newt.opengl.GLWindow in_window,
                           com.jogamp.opengl.GL3 in_gl)
                    throws IOException

      Description copied from interface: `ExampleRendererType`
      Initialize the scene, using the given window and OpenGL interface.
      Specified by:
        `init` in interface `ExampleRendererType`
      Parameters:
        `in_window` - The window
        `in_gl` - The OpenGL interface
      Throws:
        `IOException` - On I/O errors

    - #### reshape

          public void reshape(int width,
                              int height)

      Description copied from interface: `ExampleRendererType`
      Indicate that the screen has been resized.
      Specified by:
        `reshape` in interface `ExampleRendererType`
      Parameters:
        `width` - The new width
        `height` - The new height

    - #### sendWantWarpPointer

          public void sendWantWarpPointer()

      Description copied from interface: `ExampleRendererControllerType`
      Tell the renderer/windowing system that it should warp the pointer to the center of the screen.
      Specified by:
        `sendWantWarpPointer` in interface `ExampleRendererControllerType`

Copyright © 2016 <code@io7m.com> http://io7m.com